Password Door Help

Contents:

Quick Start

Features

Password Door Manager

Password Protecting a Program

Enable/Disable

Remove Item

View/Modify Program Information

Options Tab

Change Password

Deactivate

Activate

Search

Buy Now

Support

Copyright (c) TopLang software, all rights reserved.


Quick Start

Welcome to Password Door, the wonderful software can password protect any installed program on your computer.

1. Search for installed programs on your computer.

During installing, it will automatically search the installed programs on your computer, after installed, all the installed programs on your computer will be listed on the main window.

2. Specify a password.

At the last step of the installation, it will ask you to specify a password to be used with Password Door itself and all the protected programs, the password allows you to enter the Password Door control center to manage your Password Door software and add/remove programs to be password protect. The password also will be used with the protected programs, if you protected a program, when anyone launch the protected program, it will first ask for this password in order to continue to use it.

Note: You must input this password correctly in order to enter the Password Door to manage it each time you want to enter it, after installed successfully.

3. Add a program to be password protected.

After entered main window, you can double click at any one of the listed programs to allows Password Door to password protect the program. You can temporarily disable the protection for any program that has been protected, select the program in the "Protected programs" list box, then click "Enable/Disable" button to enable or disable password protecting for the program. Click "Remove" to remove the protection for the selected program.

Note: You can also add a program to be protected by using the "Drag and Drop" feature (the cross icon) or the "Browse" icon.

4. Change Password.

The Password can be changed by click "Options" and then "Password" button.

5. Deactivate/activate Password Door.

You can deactivate or activate the Password Door software by click "Activate" button or "Deactivate" button in the "Options" tab.

6. Uninstall Password Door.

You only can uninstall the software by click the "Uninstall" button in the "Options" tab, none can uninstall the software to force the password protect to be disabled if he doesn't know the password and doesn't enter the main window.

7. Research all installed programs.

If you installed new programs but have not been listed in the main window of Password Door, you need to click the "Search" button to let Password Door to seach all programs on you computer again.

[Back]


Features

1. Will not modify the executable file of the programs.

Password Door doesn't use the encryption mode to protect a program, it will not modify your program, or any file of the programs. So It will not cause the programs to be destroyed and you will not lose any data.

2. Can not be forced to be terminated.

Anyone can not force the Password Door to be terminated. The software use two separate module: One is the Password Door Loader which will actually protect your programs, and another is the Control Center that can be used to control the Password Door and configure it.

Even you closed the Password Door Control Center, the password protection feature will still be enabled. and the Password Door Loader can not be terminated by using the Windows's "Task Manager".

3. Protect the programs anywhere.

After you protected a program, the program will be always protected even you moved it to another location or renamed it. For example, if you renamed a protected exe file from "A.exe" to "B.EXE", then B.EXE will still be protected because Password Door can automatically detect it.

4. Support Drag and drop feature.

You can simply use the drag and drop feature to protect any program. You click at the "Cross" icon in the main window of Password Door, and hold down the left mouse button, then move to any existed window, release left mouse button. Then the program who owned the window will be automatically captured and protected.

6. Anyone can not uninstall the Password Door without the correct password.

People may want to uninstall the software to force the password protection to be deactivated, But the software will not allow users to uninstall it directly. Anyone must enter the main interface of the software by using the correct password, then click the "Uninstall" button to uninstall it.

7. The Password will be encrypted.

8. Supports to set separate password for each protected programs.

Then you can specify different password for every protected program.

More...


Password Door Manager

In the Password Door Manager tab you can add/remove programs to be password protected, Enable/Disable the password for a certain program, view/modify the information about the protected programs. click "Password Door Manager" tab in the main window to show the Password Door Manager.

Password Protecting a Program

Enable/Disable

Remove

View/Modify Program Information


Password Protecting a Program

Password protecting a program is simple, after launching the program you will see a list of installed programs on the left hand side of the window. Simply double click on the program that you want to protect and a window will open,Click OK and the program will be automatically Password protected so that the nest time the program is opened you will be prompted to enter password to continue to use it.

You can also click on the folder icon to manually search for a program to be protected.

The cross arrows can be used by clicking and holding the mouse button then dragging the cross arrows on to an opened program.

After you chose one program to be protected, a "Program Information" dialog will pop up, commonly you only need to click the "OK" button.

You can set a separate password for each protected program, click the "Change" button in the "Program Information" dialog box, to set the password. if you don't set a password for the program, then the admin password will be used as the default password. NOTE: the Admin password always can be used to enter a protected program, even you have set a password for the program.


Enable/Disable

This button allows you to enable or disable the password protection for an individual program. Simply highlight a program by clicking on it in the protected programs list. Then click the Enable/Disable button.

*********PLEASE NOTE*********

Disabling the password protection will allow anyone to open the program without prompting for a password.


Remove

Remove the password protection for a program, just click at a item on the protected program list box, then click "Remove" button to remove the item.


View Program Information

You can view/modify the information of each protected program by choosing it and clicking the "Modify" button. After you clicked this button, a "Program Information" dialog will pop up.

You will be allowed to Specify/change the Window Class Name and/or window caption of the program, and change the password for the program. The password is only for this program, it is not same to the Admin password.

You also can modify the program path and program name in this dialog box.

*************ABOUT Class Name and Caption**********
The "Window Class Name" is not necessary since we have added a new feature to let the Password Door to automatically detect the file information about each program, this feature is only compatible to older version and now it's no need to use it. If you want to use, of course it will take effect.

The Window Class Name feature is only for Advanced users, if you just know what the Window Class Name is, then you can use this feature. It is recommended to leave this input box as blank.

Please click here for more information about the "Advanced" options of the protected program.


Options

Under the options tab you can access the administration tools.

Change Password

Deactivate

Activate

Search


Change Password

The password allows you to enter the Password Door control center, and the same password also protects all your protected programs. Only upon entering the password will you be able to access the functions of password door. If a program has been password protected, you also must enter this password in order to use it.

You can change that password by clicking the "Password" button in the "Options" tab. Please make the password something easy for you to remember but difficult for others to figure out.

*************NOTE***************
The Password also called "Admin Password", you can use this password to enter the Password Door control center to modify the settings or add/remove protected programs, and, you also can use this password to enter any protected program. The Password Door also allows you to specify a separate password for each protected programs.


Deactivate

Click the Deactivate button to deactivate Password Door. Password Door will then deactivate the password protection for all programs and will not password protect until you click the activate button option in the same window.If you deactivated the password protection, it will be activated again after you restarted your computer.


Activate

Clicking the activate button will activate the password protection.


Search

Click the search button to search for programs that have been installed on your computer but are not in the list box under the Password Door Manager tab.


Buy Now

Thank you for using Password Door, please purchase a license to register the software to make it become full version. you can visit our web site to get more information and start your order:

http://www.toplang.com/passworddoor.htm

Or click below link to start your order directly:

Buy Now

Contact us if you need helps or want discounts for multi-licenses or site license: support@toplang.com


Support

Web site: http://www.toplang.com

Support email: support@toplang.com

Sales support: sales@toplang.com


Change Password

This button allows you to change the password of an individual program. Simply highlight a program by clicking on it. Then click the Change Password button. You will then be prompted to enter and reenter a new password.


Uninstall

Password Door will not allow you to uninstall itself from the "Add/remove programs" window of the Control Panel, you only can uninstall the software by clicking this "uninstall" button in the "Options" window of the Password Door main interface after you entered you correct password to login the Password Door.

Click this button to uninstall the software if you needn't it. also please uninstall it before you can install a new version of Password Door.